Node.CustomTag (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.Node.CustomTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Node.CustomTag

    java.lang.Object
      org.apache.jasper.compiler.Node
          org.apache.jasper.compiler.Node.CustomTag

Enclosing class:
  Node

public static class Node.CustomTag
extends Node

Represents a custom tag

Nested Class Summary

Nested classes inherited from class org.apache.jasper.compiler.Node
`Node.Comment, Node.CustomTag, Node.Declaration, Node.Expression, Node.FallBackAction, Node.ForwardAction, Node.GetProperty, Node.IncludeAction, Node.IncludeDirective, Node.JspAttribute, Node.JspRoot, Node.JspText, Node.Nodes, Node.PageDirective, Node.ParamAction, Node.ParamsAction, Node.PlugIn, Node.Root, Node.ScriptingElement, Node.Scriptlet, Node.SetProperty, Node.TaglibDirective, Node.TemplateText, Node.UninterpretedTag, Node.UseBean, Node.Visitor`

Field Summary

Fields inherited from class org.apache.jasper.compiler.Node
`attrs, beginJavaLine, body, endJavaLine, parent, startMark, text`

Constructor Summary
`Node.CustomTag(org.xml.sax.Attributes attrs, Mark start, java.lang.String name, java.lang.String prefix, java.lang.String shortName, javax.servlet.jsp.tagext.TagInfo tagInfo, java.lang.Class tagHandlerClass, Node parent)`

Method Summary
`void` | `accept(Node.Visitor v)`
`int` | `getCustomNestingLevel()`
`Node.CustomTag` | `getCustomTagParent()`
`Node.JspAttribute[]` | `getJspAttributes()`
`java.lang.String` | `getName()`
`java.lang.Integer` | `getNumCount()`
`java.lang.String` | `getPrefix()`
`java.util.Vector` | `getScriptingVars(int scope)`
`java.lang.String` | `getShortName()`
`javax.servlet.jsp.tagext.TagData` | `getTagData()`
`java.lang.Class` | `getTagHandlerClass()`
`java.lang.String` | `getTagHandlerPoolName()`
`javax.servlet.jsp.tagext.TagInfo` | `getTagInfo()`
`javax.servlet.jsp.tagext.TagVariableInfo[]` | `getTagVariableInfos()`
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfos()`
`boolean` | `hasScriptingVars()`
`boolean` | `implementsBodyTag()`
`boolean` | `implementsIterationTag()`
`boolean` | `implementsTryCatchFinally()`
`boolean` | `isHasIncludeAction()`
`boolean` | `isHasSetProperty()`
`boolean` | `isHasUsebean()`
`boolean` | `isScriptless()`
`void` | `setCustomTagParent(Node.CustomTag n)`
`void` | `setHasIncludeAction(boolean i)`
`void` | `setHasScriptingVars(boolean s)`
`void` | `setHasSetProperty(boolean s)`
`void` | `setHasUsebean(boolean u)`
`void` | `setJspAttributes(Node.JspAttribute[] jspAttrs)`
`void` | `setNumCount(java.lang.Integer count)`
`void` | `setScriptingVars(java.util.Vector vec, int scope)`
`void` | `setScriptless(boolean s)`
`void` | `setTagData(javax.servlet.jsp.tagext.TagData tagData)`
`void` | `setTagHandlerPoolName(java.lang.String s)`

Methods inherited from class org.apache.jasper.compiler.Node
`getAttributes, getAttributeValue, getBeginJavaLine, getBody, getEndJavaLine, getParent, getStart, getText, isXmlSyntax, setAttributes, setBeginJavaLine, setBody, setEndJavaLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node.CustomTag

    public Node.CustomTag(org.xml.sax.Attributes attrs,
                          Mark start,
                          java.lang.String name,
                          java.lang.String prefix,
                          java.lang.String shortName,
                          javax.servlet.jsp.tagext.TagInfo tagInfo,
                          java.lang.Class tagHandlerClass,
                          Node parent)

Method Detail

### accept

    public void accept(Node.Visitor v)
                throws JasperException

  Parameters:
    `v` - The visitor class
  Throws:
    `JasperException`

### getName

    public java.lang.String getName()

  Returns:
    The full tag name

### getPrefix

    public java.lang.String getPrefix()

  Returns:
    The tag prefix

### getShortName

    public java.lang.String getShortName()

  Returns:
    The tag name without prefix

### setJspAttributes

    public void setJspAttributes(Node.JspAttribute[] jspAttrs)

### getJspAttributes

    public Node.JspAttribute[] getJspAttributes()

### setTagData

    public void setTagData(javax.servlet.jsp.tagext.TagData tagData)

### getTagData

    public javax.servlet.jsp.tagext.TagData getTagData()

### setScriptless

    public void setScriptless(boolean s)

### isScriptless

    public boolean isScriptless()

### setHasUsebean

    public void setHasUsebean(boolean u)

### isHasUsebean

    public boolean isHasUsebean()

### setHasIncludeAction

    public void setHasIncludeAction(boolean i)

### isHasIncludeAction

    public boolean isHasIncludeAction()

### setHasSetProperty

    public void setHasSetProperty(boolean s)

### isHasSetProperty

    public boolean isHasSetProperty()

### setHasScriptingVars

    public void setHasScriptingVars(boolean s)

### hasScriptingVars

    public boolean hasScriptingVars()

### setTagHandlerPoolName

    public void setTagHandlerPoolName(java.lang.String s)

### getTagHandlerPoolName

    public java.lang.String getTagHandlerPoolName()

### getTagInfo

    public javax.servlet.jsp.tagext.TagInfo getTagInfo()

### getTagHandlerClass

    public java.lang.Class getTagHandlerClass()

### implementsIterationTag

    public boolean implementsIterationTag()

### implementsBodyTag

    public boolean implementsBodyTag()

### implementsTryCatchFinally

    public boolean implementsTryCatchFinally()

### getTagVariableInfos

    public javax.servlet.jsp.tagext.TagVariableInfo[] getTagVariableInfos()

### getVariableInfos

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfos()

### setCustomTagParent

    public void setCustomTagParent(Node.CustomTag n)

### getCustomTagParent

    public Node.CustomTag getCustomTagParent()

### setNumCount

    public void setNumCount(java.lang.Integer count)

### getNumCount

    public java.lang.Integer getNumCount()

### setScriptingVars

    public void setScriptingVars(java.util.Vector vec,
                                 int scope)

### getScriptingVars

    public java.util.Vector getScriptingVars(int scope)

### getCustomNestingLevel

    public int getCustomNestingLevel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.